org.deidentifier.arx.io

## Enum ImportConfigurationExcel.ExcelFileTypes

- java.lang.Object
- - java.lang.Enum<ImportConfigurationExcel.ExcelFileTypes>
  - - org.deidentifier.arx.io.ImportConfigurationExcel.ExcelFileTypes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImportConfigurationExcel.ExcelFileTypes>

Enclosing class:
  ImportConfigurationExcel

    public static enum ImportConfigurationExcel.ExcelFileTypes
    extends java.lang.Enum<ImportConfigurationExcel.ExcelFileTypes>

Valid file types for Excel files XLS is the "old" Excel file type, XLSX is the "new" Excel file type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`XLS` TODO
`XLSX` TODO

### Method Summary

All Methods Static Methods Concrete Methods
`static ImportConfigurationExcel.ExcelFileTypes` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImportConfigurationExcel.ExcelFileTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### XLS

    public static final ImportConfigurationExcel.ExcelFileTypes XLS

TODO

#### XLSX

    public static final ImportConfigurationExcel.ExcelFileTypes XLSX

TODO

### Method Detail

#### values

    public static ImportConfigurationExcel.ExcelFileTypes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ImportConfigurationExcel.ExcelFileTypes c : ImportConfigurationExcel.ExcelFileTypes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ImportConfigurationExcel.ExcelFileTypes valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null